jQuery(document).ready(function () {
	function getPostType(){
		let names = document.body.classList;
		for(let i=0;i<names.length;i++){
			if(names[i].indexOf('post-type-') != -1){
				return names[i].replace('post-type-', '');
			}
		}
		return '';
	}

	function createMediaLibrary()
	{
		return wp.media({
			title: 'パノラマ画像の選択',
			library: {type: 'image/jpeg'},
			frame: 'select',
			button: {text: '選択'},
			multiple: false
		});
	}
  
	let mediaLibrary;
	let $metabox = jQuery('#'+ getPostType() + '-details');
	let txtImageUrl = $metabox.find('input[name="image-url"]')[0];
	let imgThumbnail = $metabox.find('.thumbnail')[0];
	jQuery("#image-selector").click(function (event) {
		event.preventDefault();

		if (!mediaLibrary) {
			mediaLibrary = createMediaLibrary();
			mediaLibrary.on('select', function() {
				var attachment = mediaLibrary.state().get('selection').first().toJSON();
				setImage(attachment.url);
			});
		}
	  	mediaLibrary.open();
	});

	txtImageUrl.addEventListener("change", function(e){
		if(e.isTrusted){
			setImage(e.target.value);
		}
	}, false);

	imgThumbnail.addEventListener("load", function(e){
		e.target.style.display = "block";
	}, false);

	imgThumbnail.addEventListener("error", function(e){
		e.target.style.display = "none";
	}, false);

	function setImage(url){
		txtImageUrl.value = url;
		imgThumbnail.src = url;
	}
});